---
updatedAt: 2026-05-05T21:08:52.000Z
agentTools:
  projectIndex: https://apidocs.verkada.com/llms.txt
---

# Get All Available Access Levels

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "AccessLevelListResponseV1": {
        "description": "Response schema for listing Access Levels.",
        "properties": {
          "access_levels": {
            "items": {
              "$ref": "#/components/schemas/AccessLevelResponseV1"
            },
            "title": "Access Levels",
            "type": "array"
          }
        },
        "required": [
          "access_levels"
        ],
        "title": "AccessLevelListResponseV1",
        "type": "object"
      },
      "AccessLevelResponseV1": {
        "description": "Response schema for Access Level operations.",
        "properties": {
          "access_groups": {
            "description": "IDs of Access Groups granted door access via this Access Level",
            "items": {
              "type": "string"
            },
            "title": "Access Groups",
            "type": "array"
          },
          "access_level_id": {
            "description": "Unique identifier for the Access Level",
            "title": "Access Level Id",
            "type": "string"
          },
          "access_schedule_events": {
            "description": "List of Access Schedule Events associated with this Access Level",
            "items": {
              "$ref": "#/components/schemas/AccessScheduleEventV1"
            },
            "title": "Access Schedule Events",
            "type": "array"
          },
          "doors": {
            "description": "IDs of Doors accessible under this Access Level",
            "items": {
              "type": "string"
            },
            "title": "Doors",
            "type": "array"
          },
          "last_updated_at": {
            "description": "Last updated timestamp of the Access Level (Unix timestamp in seconds)",
            "title": "Last Updated At",
            "type": "integer"
          },
          "name": {
            "description": "Name of the Access Level",
            "title": "Name",
            "type": "string"
          },
          "sites": {
            "description": "IDs of Sites containing the Doors this Access Level applies to",
            "items": {
              "type": "string"
            },
            "title": "Sites",
            "type": "array"
          }
        },
        "required": [
          "access_level_id",
          "name",
          "access_groups",
          "sites",
          "doors",
          "access_schedule_events",
          "last_updated_at"
        ],
        "title": "AccessLevelResponseV1",
        "type": "object"
      },
      "AccessScheduleEventV1": {
        "description": "Schema for an Access Schedule Event.",
        "properties": {
          "access_schedule_event_id": {
            "description": "Unique identifier for the Access Schedule Event",
            "title": "Access Schedule Event Id",
            "type": "string"
          },
          "door_status": {
            "allOf": [
              {
                "$ref": "#/components/schemas/DoorStatus"
              }
            ],
            "default": "access_granted",
            "description": "Status of the door during the event. Always set to 'access_granted' and does not need to be specified."
          },
          "end_time": {
            "description": "End time of the event in HH:MM format (00:00 to 23:59) with required leading zeros",
            "title": "End Time",
            "type": "string"
          },
          "start_time": {
            "description": "Start time of the event in HH:MM format (00:00 to 23:59) with required leading zeros",
            "title": "Start Time",
            "type": "string"
          },
          "weekday": {
            "allOf": [
              {
                "$ref": "#/components/schemas/WeekDay"
              }
            ],
            "description": "Day of the week for the event"
          }
        },
        "required": [
          "weekday",
          "start_time",
          "end_time"
        ],
        "title": "AccessScheduleEventV1",
        "type": "object"
      },
      "DoorStatus": {
        "description": "Door status for Access Schedule Events. Always set to access_granted.",
        "enum": [
          "access_granted"
        ],
        "title": "DoorStatus",
        "type": "string"
      },
      "WeekDay": {
        "description": "Enum for days of the week.",
        "enum": [
          "SU",
          "MO",
          "TU",
          "WE",
          "TH",
          "FR",
          "SA"
        ],
        "title": "WeekDay",
        "type": "string"
      }
    },
    "securitySchemes": {
      "ApiKey": {
        "description": "Legacy API Key acquired from Command",
        "in": "header",
        "name": "x-api-key",
        "type": "apiKey"
      },
      "ApiToken": {
        "description": "API Token acquired from API Login",
        "in": "header",
        "name": "x-verkada-auth",
        "type": "apiKey"
      }
    }
  },
  "info": {
    "title": "Access API",
    "version": "v1"
  },
  "openapi": "3.0.3",
  "paths": {
    "/access/v1/door/access_level": {
      "get": {
        "description": "",
        "operationId": "getAccessLevelView",
        "parameters": [],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AccessLevelListResponseV1"
                }
              }
            },
            "description": "OK"
          }
        },
        "summary": "Get All Available Access Levels",
        "tags": [
          "Access Levels"
        ]
      }
    }
  },
  "security": [
    {
      "ApiToken": []
    },
    {
      "ApiKey": []
    }
  ],
  "servers": [
    {
      "url": "https://{region}.verkada.com",
      "variables": {
        "region": {
          "default": "api",
          "enum": [
            "api",
            "api.eu",
            "api.au",
            "api.oh"
          ]
        }
      }
    }
  ],
  "x-explorer-enabled": true,
  "x-proxy-enabled": true,
  "x-samples-enabled": true,
  "x-samples-languages": [
    "curl",
    "node",
    "ruby",
    "javascript",
    "python"
  ]
}
```